Package io.vertx.ext.consul

## Class AclToken

- java.lang.Object
- - io.vertx.ext.consul.AclToken

-     @Deprecated
      public class AclToken
      extends Object

  Deprecated.
  Holds properties of Acl token
  Author:
    Ruslan Sennov

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AclToken()` | Deprecated. Default constructor
    `AclToken​(JsonObject token)` | Deprecated. Constructor from JSON
    `AclToken​(AclToken token)` | Deprecated. Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getId()` | Deprecated. Get ID of token
    `String` | `getName()` | Deprecated. Get name of token
    `String` | `getRules()` | Deprecated. Get rules for token
    `AclTokenType` | `getType()` | Deprecated. Get type of token
    `AclToken` | `setId​(String id)` | Deprecated. Set ID of token
    `AclToken` | `setName​(String name)` | Deprecated. Set name of token
    `AclToken` | `setRules​(String rules)` | Deprecated. Set rules for token
    `AclToken` | `setType​(AclTokenType type)` | Deprecated. Set type of token
    `JsonObject` | `toJson()` | Deprecated. Convert to JSON

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AclToken

          public AclToken()

      Deprecated.
      Default constructor

    - #### AclToken

          public AclToken​(AclToken token)

      Deprecated.
      Copy constructor
      Parameters:
        `token` - the one to copy

    - #### AclToken

          public AclToken​(JsonObject token)

      Deprecated.
      Constructor from JSON
      Parameters:
        `token` - the JSON

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Deprecated.
      Convert to JSON
      Returns:
        the JSON

    - #### getId

          public String getId()

      Deprecated.
      Get ID of token
      Returns:
        ID of token

    - #### setId

          public AclToken setId​(String id)

      Deprecated.
      Set ID of token
      Parameters:
        `id` - ID of token
      Returns:
        reference to this, for fluency

    - #### getName

          public String getName()

      Deprecated.
      Get name of token
      Returns:
        name of token

    - #### setName

          public AclToken setName​(String name)

      Deprecated.
      Set name of token
      Parameters:
        `name` - name of token
      Returns:
        reference to this, for fluency

    - #### getType

          public AclTokenType getType()

      Deprecated.
      Get type of token
      Returns:
        type of token

    - #### setType

          public AclToken setType​(AclTokenType type)

      Deprecated.
      Set type of token
      Parameters:
        `type` - type of token
      Returns:
        reference to this, for fluency

    - #### getRules

          public String getRules()

      Deprecated.
      Get rules for token
      Returns:
        rules for token

    - #### setRules

          public AclToken setRules​(String rules)

      Deprecated.
      Set rules for token
      Parameters:
        `rules` - rules for token
      Returns:
        reference to this, for fluency